Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.clocks
Class TimeRecord

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTPointerRef
                  |
                  +--quicktime.std.clocks.TimeRecord

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class TimeRecord
extends QTPointerRef
implements quicktime.jdirect.QuickTimeLib

The TimeRecord allows a full description of a QuickTime time specification structure. Contains a time value, which is scaled to the time base coordinate system. refer to TimeRecord in QuickTime

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`TimeRecord()` This record is an empty record that will need to be filled out by passing it into calls.
`TimeRecord(int scale, long value)` Create a TimeRecord with the supplied values for scale and time value.

Method Summary
`void` | `addTime(TimeRecord source)` This adds two times specified in time structures.
`void` | `convertTime(TimeBase newBase)` Convert a time from one time base into a time that is relative to another time base.
`void` | `convertTimeScale(int newScale)` Convert a time from one time scale into a time that is relative to another time base.
`int` | `getScale()` Determines the time scale of the time record.
`TimeBase` | `getTimeBase()` Return the TimeBase that is associated with this record.
`long` | `getValue()` Determines the time value of the time record.
`void` | `setScale(int scale)` Sets the time scale of the time record.
`void` | `setValue(long value)` Sets the time value of the time record.
`void` | `subtractTime(TimeRecord source)` This subtracts two times specified in time structures.
`java.lang.String` | `toString()` Print information about this TimeRecord object.

Methods inherited from class quicktime.util.QTPointerRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, getBytes, getSize`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimeRecord

    public TimeRecord()
               throws QTException

  This record is an empty record that will need to be filled out by passing it into calls. It has no value for the TimeBase field.

### TimeRecord

    public TimeRecord(int scale,
                      long value)
               throws QTException

  Create a TimeRecord with the supplied values for scale and time value.
  Parameters:
    `scale` - the scale that is used to interpret the meaning of the supplied value
    `value` - the value as expressed in scale untis.

Method Detail

### getValue

    public final long getValue()

  Determines the time value of the time record.
  Returns:
    The value of the time value.

### getScale

    public final int getScale()

  Determines the time scale of the time record.
  Returns:
    The value of the time scale.

### setValue

    public final void setValue(long value)

  Sets the time value of the time record.
  Parameters:
    `value` - the data to store in the field.

### setScale

    public final void setScale(int scale)

  Sets the time scale of the time record.
  Parameters:
    `scale` - the data to store in the field.

### convertTime

    public final void convertTime(TimeBase newBase)

  Convert a time from one time base into a time that is relative to another time base.
  QuickTime::ConvertTime

  Parameters:
    `tr` - The time structure that contains the time value to be converted
    `newBase` - Specifies the time base for this operation

### convertTimeScale

    public final void convertTimeScale(int newScale)

  Convert a time from one time scale into a time that is relative to another time base.
  QuickTime::ConvertTimeScale

  Parameters:
    `newScale` - The time scale

### addTime

    public final void addTime(TimeRecord source)

  This adds two times specified in time structures.
  QuickTime::AddTime

  Parameters:
    `source` - The source operand time base with a time value to add

### subtractTime

    public final void subtractTime(TimeRecord source)

  This subtracts two times specified in time structures.
  QuickTime::SubtractTime

  Parameters:
    `source` - The source operand time base with a time value to subtract

### getTimeBase

    public final TimeBase getTimeBase()

  Return the TimeBase that is associated with this record. If there is no TimeBase then returns null.

### toString

    public java.lang.String toString()

  Print information about this TimeRecord object.
  Overrides:
    `toString` in class `QTPointerRef`
  Returns:
    a string representing this TimeRecord object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD